### File

`packages/ecl/core/services/ecl-default-language.service.ts`

### Deprecated

This service is deprecated, use EuiEULanguages instead. To be removed in v20.

### Index

###### Properties
Public currentLanguage$
###### Methods
getAllLanguageCodes getAllLanguages getConfiguredLanguages getCurrentLanguage getEULanguageCodes getEULanguageOrFallback getEULanguages getFallbackLanguage getLanguageByCode getLanguagesByCodes isEuLanguage isRtlLanguage updateCurrentLanguage

### Methods

getAllLanguageCodes
`getAllLanguageCodes()`
Returns : `string[]`

getAllLanguages
`getAllLanguages()`
Returns : `Array<EclLanguage>`

getConfiguredLanguages
`getConfiguredLanguages()`
Returns : `Array<EclLanguage>`

getCurrentLanguage
`getCurrentLanguage()`
Returns : `EclLanguage`

getEULanguageCodes
`getEULanguageCodes()`
Returns : `Array<string>`

getEULanguageOrFallback
`getEULanguageOrFallback(code: string)`
Parameters :
Name | Type | Optional
code | `string` | No
Returns : `EclLanguage`

getEULanguages
`getEULanguages()`
Returns : `Array<EclLanguage>`

getFallbackLanguage
`getFallbackLanguage()`
Returns : `EclLanguage`

getLanguageByCode
`getLanguageByCode(code: string)`
Parameters :
Name | Type | Optional
code | `string` | No
Returns : `EclLanguage`

getLanguagesByCodes
`getLanguagesByCodes(codes: Array)`
Parameters :
Name | Type | Optional
codes | `Array<string>` | No
Returns : `Array<EclLanguage>`

isEuLanguage
`isEuLanguage(code: string)`
Parameters :
Name | Type | Optional
code | `string` | No
Returns : `boolean`

isRtlLanguage
`isRtlLanguage(code: string)`
Parameters :
Name | Type | Optional
code | `string` | No
Returns : `boolean`

updateCurrentLanguage
`updateCurrentLanguage(lang: EclLanguage)`
Parameters :
Name | Type | Optional
lang | `EclLanguage` | No
Returns : `void`

### Properties

Public currentLanguage$
Type : `Subject<EclLanguage>`
Default value : `new ReplaySubject<EclLanguage>()`

# results matching ""

# No results matching ""